iSEE point parameters {iSEE} | R Documentation

## Point plot aesthetic parameters

### Description

Parameters related to aesthetics for point-based plotting panels.

### Coloring parameters

`ColorBy`:

  Character, what type of data should be used for coloring? Defaults to `"None"`, but can also be `"Feature name"`, `"Sample name"`, or `"Column data"` (for column-based plots) or `"Row data"` for (row-based plots).

`ColorByDefaultColor`:

  String specifying the default point colour when `ColorBy="None"`. Defaults to `"black"`.

`ColorByFeatName`:

  Integer, the index of the feature to use if `ColorBy="Feature name"`. Defaults to 1, i.e., the first feature in `se`. Alternatively, a string can be supplied containing the name of the feature.

`ColorBySampName`:

  Integer, the index of the sample to use if `ColorBy="Sample name"`. Defaults to 1, i.e., the first sample in `se`. Alternatively, a string can be supplied containing the name of the sample.

`ColorByRowTable`:

  Character, which row statistics table should be used to choose a feature to color by, if `ColorBy="Feature name"`? Any setting will override `ColorByFeatName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

`ColorByColTable`:

  Character, which column statistics table should be used to choose a sample to color by, if `ColorBy="Sample name"`? Any setting will override `ColorBySampName` with the selected row in the chosen table upon initialization of the app. Defaults to `"---"`, which means that no table will be used.

For the plots where each point represents a sample (i.e., all plots except for heatmaps and row data plots), the following additional options apply:

`ColorByColData`:

  Character, which column of `colData(se)` should be used for colouring if `ColorBy="Column data"`? Defaults to the first entry of `colData(se)`.

`ColorByFeatNameAssay`:

  Integer, which assay should be used to supply the expression values for colouring if `ColorBy="Feature name"`? Defaults to 1, i.e., the first assay in `se`. Alternatively, a string can also be supplied containing the name of the assay, if `assays(se)` has names.

`ColorBySampNameColor`:

  String specifying the colour to be used to highlight the selected sample if `ColorBy="Sample name"`. Defaults to `"red"`.

For plots where each point represents a feature (i.e., row data plots), the following additional options apply:

`ColorByRowData`:

  Character, which column of `rowData(se)` should be used for colouring if `ColorBy="Row data"`? Defaults to the first entry of `rowData(se)`.

`ColorByFeatNameColor`:

  String specifying the colour to be used to highlight the selected feature if `ColorBy="Feature name"`. Defaults to `"red"`.

`ColorBySampNameAssay`:

  Integer, which assay should be used to supply the expression values for colouring if `ColorBy="Sample name"`? Defaults to 1, i.e., the first assay in `se`. Alternatively, a string can also be supplied containing the name of the assay, if `assays(se)` has names.

### Shape parameters

`ShapeBy`:

  Character, what type of data should be used for controlling shape? Defaults to `"None"`, but can also be `"Column data"`.

For the plots where each point represents a sample (i.e., all plots except for heatmaps and row data plots), the following additional options apply:

`ShapeByColData`:

  Character, which column of `colData(se)` should be used for shaping if `ShapeBy="Column data"`? This should refer to a categorical variable, and will default to the first such entry of `colData(se)`.

For plots where each point represents a feature (i.e., row data plots), the following additional options apply:

`ShapeByRowData`:

  Character, which column of `rowData(se)` should be used for shaping if `ShapeBy="Row data"`? This should refer to a categorical variable, and will default to the first such entry of `rowData(se)`.

### Size parameters

`SizeBy`:

  Character, what type of data should be used for controlling size? Defaults to `"None"`, but can also be `"Column data"`.

For the plots where each point represents a sample (i.e., all plots except for heatmaps and row data plots), the following additional options apply:

`SizeByColData`:

  Character, which column of `colData(se)` should be used for sizing if `SizeBy="Column data"`? This should refer to a continuous variable, and will default to the first such entry of `colData(se)`.

For plots where each point represents a feature (i.e., row data plots), the following additional options apply:

`SizeByRowData`:

  Character, which column of `rowData(se)` should be used for sizing if `SizeBy="Row data"`? This should refer to a continuous variable, and will default to the first such entry of `rowData(se)`.

### Contour line parameters

`ContourAdd`:

  Logical, should contour lines be added to the plot?

`ContourColor`:

  String specifying the default colour of contour lines.

### Faceting parameters

`FacetByRow`:

  Logical indicating whether the plot should be faceted by row.

`FacetByColumn`:

  Logical indicating whether the plot should be faceted by row.

For the plots where each point represents a sample (i.e., all plots except for heatmaps and row data plots), the following additional options apply:

`RowFacetByColData`:

  Character, which column of `colData(se)` should be used to facet by row? This should refer to a categorical variable, and will default to the first such entry of `colData(se)`.

`ColumnFacetByColData`:

  Character, which column of `colData(se)` should be used to facet by column? This should refer to a categorical variable, and will default to the first such entry of `colData(se)`.

For the plots where each point represents a feature (i.e., row data plots), the following additional options apply:

`RowFacetByRowData`:

  Character, which column of `colData(se)` should be used to facet by row? This should refer to a categorical variable, and will default to the first such entry of `colData(se)`.

`ColumnFacetByRowData`:

  Character, which column of `colData(se)` should be used to facet by column? This should refer to a categorical variable, and will default to the first such entry of `colData(se)`.

### Other plot parameters

Parameter visibility options are:

`DataBoxOpen`:

  Logical, should the data parameter box be open upon initialization? Defaults to `FALSE`.

`VisualBoxOpen`:

  Logical, should the visual parameter box be open upon initialization? Defaults to `FALSE`.

`VisualChoices`:

  A list containing one character vector, specifying the visual box parameters to be shown upon initialization. This defaults to `list("Color")` to show only the coloring parameters, but the internal vector can also contain `"Points"`, `"Facets"` and `"Other"`.

Options related to the appearance of points are:

`PointSize`:

  Numeric, the size of the points. Defaults to 1.

`PointAlpha`:

  Numeric, what level of transparency should be used for the points? Ignored when `SelectEffect="Transparent"` and the transmitting plot has a non-`NULL` selection of points. Defaults to 1.

`Downsample`:

  Logical, indicating whether downsampling of overlapping points should be performed. Defaults to `FALSE`.

`SampleRes`:

  Numeric, specifying the downsampling resolution, i.e., the granularity at which points are considered to overlap. Higher values result in a more stringent definition of overlaps, and thus less downsampling. Defaults to 200.

Text-related parameters are:

`FontSize`:

  Numeric, size of the font. Defaults to 1.

`LegendPosition`:

  String specifying the legend position. Defaults to `"Bottom"` but can also be `"Right"`.

`ZoomData`:

  A list containing numeric vectors of length 4, containing values with names `"xmin"`, `"xmax"`, `"ymin"` and `"ymax"`. These define the zoom window on the x- and y-axes. Each element of the list defaults to `NULL`, i.e., no zooming is performed.

### Author(s)

Aaron Lun, Kevin Rue-Albrecht, Charlotte Soneson

### See Also

`redDimPlotDefaults`, `featAssayPlotDefaults`, `colDataPlotDefaults`, `rowDataPlotDefaults`, `sampAssayPlotDefaults`

### Examples

    example(SingleCellExperiment, echo=FALSE) # mock up 'sce'.
    redDimPlotDefaults(sce, n=1)
    rowDataPlotDefaults(sce, n=1)

[Package iSEE version 1.4.0 Index]